/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2012, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

// 19/12/11 21:05 NDP : InitConnectionPool: creation

package org.awakefw.commons.server.util;

/**
 * Static holder to say if the conneciton pool has been reinitialized.
 * Used in ServerAwakeSqlDispatch to reaload the connection properties static values
 * 
 * @author Nicolas de Pomereu
 *
 */
public class InitConnectionPool {

    /** If false, the servlet has already been called */
    private static boolean initConnectionDefaultPropertiesDone = false;
    
    /**
     * Returns true if the init connections properties has been doe
     * @return the initConnectionDefaultPropertiesDone
     */
    public static boolean isInitConnectionDefaultPropertiesDone() {
        return initConnectionDefaultPropertiesDone;
    }
    
    /**
     * Say that the init properties has been done
     */
    public static void setInitConnectionDefaultPropertiesDone() {
	initConnectionDefaultPropertiesDone = true;
    }
    
    
    /**
     * Say that the init properties has been done
     */
    public static void reInit() {
	initConnectionDefaultPropertiesDone = false;
    }    
    
    
    
}

