/*
 * Awake File: Easy file upload & download through HTTP with Java
 * Awake SQL: Remote JDBC access through HTTP.                                    
 * Copyright (C) 2012, Kawan Softwares S.A.S.
 * (http://www.awakeframework.org). All rights reserved.                                
 *                                                                               
 * Awake File/SQL is free software; you can redistribute it and/or                 
 * modify it under the terms of the GNU Lesser General Public                    
 * License as published by the Free Software Foundation; either                  
 * version 2.1 of the License, or (at your option) any later version.            
 *                                                                               
 * Awake File/SQL is distributed in the hope that it will be useful,               
 * but WITHOUT ANY WARRANTY; without even the implied warranty of                
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             
 * Lesser General Public License for more details.                               
 *                                                                               
 * You should have received a copy of the GNU Lesser General Public              
 * License along with this library; if not, write to the Free Software           
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  
 * 02110-1301  USA
 *
 * Any modifications to this file must keep this entire header
 * intact.
 */

//ExceptionTags.java
//Copyright (c) Kawan Softwares S.A.S, 2012
//
//Last Updates: 
// 19 fvr. 2010 11:33:38 Nicolas de Pomereu
// 12/04/12 18:15 NDP : Tag: add AwakeFailureException & AwakeSecurityException
// 13/04/12 15:25 NDP : Tag: add AWAKE_CONFIG_FAIL
// 17/10/11 12:25 NDP : Tag: add BatchUpdateException

package org.awakefw.file.util;

/**
 * 
 * @author Nicolas de Pomereu Defines the trailing Exception tags
 */

public class Tag {
    public static final String AWAKE = "[AWAKE] ";
    public static final String AWAKE_START = "[AWAKE START] ";
    public static final String AWAKE_WARNING = "[AWAKE WARNING] ";

    public static final String AWAKE_CONFIG_FAIL = "[AWAKE CONFIGURATION FAILURE] ";
    public static final String AWAKE_FAIL = "[AWAKE FAILURE] ";
    public static final String AWAKE_SECURITY = "[AWAKE SECURITY] ";

    public static final String AWAKE_EXCEPTION_RAISED = "[AWAKE - EXCEPTION RAISED] ";  
    
    // Host file not found

    // When an upload/download is interrupted
    //public static final String InterruptedException = "InterruptedException";

    // Method can not be correctly invoked by an AwakeFileSession.call():
    public static final String ClassNotFoundException = "ClassNotFoundException";
    public static final String InstantiationException = "InstantiationException";
    public static final String NoSuchMethodException = "NoSuchMethodException";
    public static final String InvocationTargetException = "InvocationTargetException";
    public static final String SecurityException = "SecurityException";

    // SQL Exceptions (applicative)
    public static final String SQLException = "SQLException";
    public static final String BatchUpdateException = "BatchUpdateException";

    // Awake Failure Exceptions thrown by the server
    public static final String NullPointerException = "NullPointerException";
    public static final String IllegalArgumentException = "IllegalArgumentException";
    public static final String FileNotFoundException = "FileNotFoundException";
    public static final String IOException = "IOException";

}
